 LIST P=16F84, E=2
TMR0 EQU 01h
PC EQU 02h
STATUS EQU 03h
FSR EQU 04h
;
PORTA EQU 05h
PORTB EQU 06h
TRISA EQU 85h
TRISB EQU 86h
;
X1 EQU 0Ch
Y1 EQU 0Dh
T0 EQU 0Eh
;
C EQU 0h
DC EQU 1h
Z EQU 2h
PD EQU 3h
TO EQU 4h
RP0 EQU 5h
;

 ORG 0
 GOTO BEGIN
;
BIGDEL NOP
 MOVLW .128
 MOVWF T0
DEL0 NOP
 BSF PORTA,0
 MOVLW .25
 MOVWF X1
DEL1 NOP
 DECFSZ X1, 1
 GOTO DEL1
 BCF PORTA,0
 MOVLW .25
 MOVWF X1
DEL2 NOP
 DECFSZ X1,1
 GOTO DEL2
 DECFSZ T0,1
 GOTO DEL0
 RETURN
;
BEGIN
 BSF STATUS,RP0
 MOVLW B'00011110'
 MOVWF TRISA
 MOVLW B'00000000'
 MOVWF TRISB
 BCF STATUS,RP0
;
 BSF STATUS,RP0
 BSF TRISA,0
 BCF STATUS,RP0
 MOVLW B'01111111'
 MOVWF PORTB
 CALL BIGDEL
 BSF STATUS,RP0
 NOP 
 BCF TRISA,0
 BCF STATUS,RP0
 CLRF PORTB
 CALL BIGDEL
;
 BSF STATUS,RP0
 BSF TRISA,0
 BCF STATUS,RP0
 MOVLW B'10111111'
 MOVWF PORTB
 CALL BIGDEL
 BSF STATUS,RP0
 BCF TRISA,0
 BCF STATUS,RP0
 CLRF PORTB
 CALL BIGDEL
;
 BSF STATUS,RP0
 BSF TRISA,0
 BCF STATUS,RP0
 MOVLW B'11011111'
 MOVWF PORTB
 CALL BIGDEL
 BSF STATUS,RP0
 BCF TRISA,0
 BCF STATUS,RP0
 CLRF PORTB
 CALL BIGDEL
;
 BSF STATUS,RP0
 BSF TRISA,0
 BCF STATUS,RP0
 MOVLW B'11101111'
 MOVWF PORTB
 CALL BIGDEL
 BSF STATUS,RP0
 BCF TRISA,0
 BCF STATUS,RP0
 CLRF PORTB
 CALL BIGDEL
;
 BSF STATUS,RP0
 BSF TRISA,0
 BCF STATUS,RP0
 MOVLW B'11110111'
 MOVWF PORTB
 CALL BIGDEL
 BSF STATUS,RP0
 BCF TRISA,0
 BCF STATUS,RP0
 CLRF PORTB
 CALL BIGDEL
;
 BSF STATUS,RP0
 BSF TRISA,0
 BCF STATUS,RP0
 MOVLW B'11111011'
 MOVWF PORTB
 CALL BIGDEL
 BSF STATUS,RP0
 BCF TRISA,0
 BCF STATUS,RP0
 CLRF PORTB
 CALL BIGDEL
;
 BSF STATUS,RP0
 BSF TRISA,0
 BCF STATUS,RP0
 MOVLW B'11111101'
 MOVWF PORTB
 CALL BIGDEL
 BSF STATUS,RP0
 BCF TRISA,0
 BCF STATUS,RP0
 CLRF PORTB
 CALL BIGDEL
;
 BSF STATUS,RP0
 BSF TRISA,0
 BCF STATUS,RP0
 MOVLW B'11111110'
 MOVWF PORTB
 CALL BIGDEL
 BSF STATUS,RP0
 BCF TRISA,0
 BCF STATUS,RP0
 CLRF PORTB
 CALL BIGDEL
; 
; GOTO BEGIN
 END
